bs4TrapEvent = (event) => {
    const xhr = new XMLHttpRequest();

    
    xhr.open("POST", "/adminBS4/ajax/get-edit-block/"+ blockName, true);
    //xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');
    xhr.setRequestHeader('X-CSRF-TOKEN', document.querySelector('meta[name="csrf-token"]').content);  
    xhr.send();
}
document.addEventListener('click', bs4TrapEvent);